org.bouncycastle.crypto.params

## Class Argon2Parameters

- java.lang.Object
- - org.bouncycastle.crypto.params.Argon2Parameters

-     public class Argon2Parameters
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Argon2Parameters.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARGON2_d`
    `static int` | `ARGON2_i`
    `static int` | `ARGON2_id`
    `static int` | `ARGON2_VERSION_10`
    `static int` | `ARGON2_VERSION_13`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `byte[]` | `getAdditional()`
    `CharToByteConverter` | `getCharToByteConverter()`
    `int` | `getIterations()`
    `int` | `getLanes()`
    `int` | `getMemory()`
    `byte[]` | `getSalt()`
    `byte[]` | `getSecret()`
    `int` | `getType()`
    `int` | `getVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARGON2_d

          public static final int ARGON2_d

      See Also:
        Constant Field Values

    - #### ARGON2_i

          public static final int ARGON2_i

      See Also:
        Constant Field Values

    - #### ARGON2_id

          public static final int ARGON2_id

      See Also:
        Constant Field Values

    - #### ARGON2_VERSION_10

          public static final int ARGON2_VERSION_10

      See Also:
        Constant Field Values

    - #### ARGON2_VERSION_13

          public static final int ARGON2_VERSION_13

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSalt

          public byte[] getSalt()

    - #### getSecret

          public byte[] getSecret()

    - #### getAdditional

          public byte[] getAdditional()

    - #### getIterations

          public int getIterations()

    - #### getMemory

          public int getMemory()

    - #### getLanes

          public int getLanes()

    - #### getVersion

          public int getVersion()

    - #### getType

          public int getType()

    - #### getCharToByteConverter

          public CharToByteConverter getCharToByteConverter()

    - #### clear

          public void clear()